%global debug_package %{nil}

Name: python-pyopenssl
Epoch: 100
Version: 22.0.0
Release: 1%{?dist}
BuildArch: noarch
Summary: Python wrapper module around the OpenSSL library
License: Apache-2.0
URL: https://github.com/pyca/pyopenssl/tags
Source0: %{name}_%{version}.orig.tar.gz
BuildRequires: fdupes
BuildRequires: python-rpm-macros
BuildRequires: python3-cryptography >= 35.0
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
High-level wrapper around a subset of the OpenSSL library.

%prep
%autosetup -T -c -n %{name}_%{version}-%{release}
tar -zx -f %{S:0} --strip-components=1 -C .

%build
%py3_build

%install
%py3_install
find %{buildroot}%{python3_sitelib} -type f -name '*.pyc' -exec rm -rf {} \;
%fdupes -s %{buildroot}%{python3_sitelib}

%check

%if 0%{?suse_version} > 1500 || 0%{?centos_version}
%package -n python%{python3_version_nodots}-pyOpenSSL
Summary: Python wrapper module around the OpenSSL library
Requires: python3
Requires: python3-cryptography >= 35.0
Provides: python3-pyopenssl = %{epoch}:%{version}-%{release}
Provides: python3dist(pyopenssl) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-pyopenssl = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(pyopenssl) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-pyopenssl = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(pyopenssl) = %{epoch}:%{version}-%{release}

%description -n python%{python3_version_nodots}-pyOpenSSL
High-level wrapper around a subset of the OpenSSL library.

%files -n python%{python3_version_nodots}-pyOpenSSL
%license LICENSE
%{python3_sitelib}/*
%endif

%if !(0%{?suse_version} > 1500) && !(0%{?centos_version})
%package -n python3-pyOpenSSL
Summary: Python wrapper module around the OpenSSL library
Requires: python3
Requires: python3-cryptography >= 35.0
Provides: python3-pyopenssl = %{epoch}:%{version}-%{release}
Provides: python3dist(pyopenssl) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-pyopenssl = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(pyopenssl) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-pyopenssl = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(pyopenssl) = %{epoch}:%{version}-%{release}

%description -n python3-pyOpenSSL
High-level wrapper around a subset of the OpenSSL library.

%files -n python3-pyOpenSSL
%license LICENSE
%{python3_sitelib}/*
%endif

%changelog
